Bug 377801 - Internal Memory Stick reader doesn't mount.
Internal Memory Stick reader doesn't mount.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-12 09:22 EST by Lilian Pfister
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-12 12:45:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lilian Pfister 2007-11-12 09:22:27 EST
Description of problem:
When instering and removing a memory stick in my Vaio VGN-C2Z/B, the tifm_core 
module detects it:
    tifm_core: MemoryStick card detected in socket 0:0
    tifm0 : demand removing card from socket 0:0
but i have no way to mount the inserted card so I can access it.

Version-Release number of selected component (if applicable):
kernel version is
tifm_core version is 0.8.

How reproducible:

Steps to Reproduce:
1. Sart fedora
2. insert and remove memory sticks
Actual results:
Nothing happens.

Expected results:
Any way to mount and access it.

Additional info:
Comment 1 Chuck Ebbert 2007-11-12 12:45:27 EST
This driver is being worked on upstream and Fedora will have it as soon as it
gets merged.
Comment 2 Lilian Pfister 2007-11-13 08:10:30 EST
This morning, I managed to compile the module from svn with the following 
commands on my laptop :

    $ svn export svn://svn.berlios.de/tifmxx/trunk/driver tifmxx
    $ cd tifmxx/
    $ make
    # make install

and the following modified Makefile :
obj-m += tifm_core.o tifm_7xx1.o tifm_sd.o
obj-m += memstick.o tifm_ms.o mspro_block.o ms_block.o

KERNELDIR ?= /lib/modules/$(shell uname -r)/build
#KERNELDIR ?= ~/Desktop/tifm/linux-2.6
PWD       := $(shell pwd)
MODULE_INSTALLDIR = /lib/modules/$(shell uname -r)

    echo $(PWD)
    $(MAKE) -C $(KERNELDIR) M=$(PWD)

    rm -rf *.o *.o.d *.ko.d .depend .*.cmd *.ko *.mod.c .tmp_versions

    mkdir -p $(MODULE_INSTALLDIR)
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/misc/tifm_core.ko
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/misc/tifm_7xx1.ko
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/mmc/tifm_sd.ko
# Modified by Lilian Pfister on 12/11/2007
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/mmc/tifm_ms.ko
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/mmc/memstick.ko
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/mmc/ms_block.ko
    rm -f $(MODULE_INSTALLDIR)/kernel/drivers/mmc/mspro_block.ko
# End modified

    install -c -m 644 tifm_core.ko tifm_7xx1.ko 
    install -c -m 644 tifm_sd.ko $(MODULE_INSTALLDIR)/kernel/drivers/mmc/
# Modified by Lilian Pfister on 12/11/2007
    install -c -m 644 tifm_ms.ko memstick.ko ms_block.ko mspro_block.ko 
# End modified
    /sbin/depmod -ae

Thanks for help.

Note You need to log in before you can comment on or make changes to this bug.